/* a sample program that prints the current process's priority. */
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/resource.h>

int main() {
    int who;
    int which = PRIO_PROCESS; /* get the priority of the specified process */
    int priority;
    
    who = getpid(); /* current process id */
    priority = getpriority(which,who);
    printf(" The priority is %d \n", priority);
}
